> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/poznamky-piny/28.-mutace-ulozeni-vice-poznamek-davkova-operace.md).

# 28. Mutace: Uložení více „poznámek“, dávková operace

Tato mutace vám umožňuje připojit více poznámek k určenému poli.

{% hint style="success" %}
Maximální počet poznámek, které lze uložit, je 25.
{% endhint %}

{% hint style="success" %}
Přidejte `uuid` atribut do vstupu pro aktualizaci poznámky.
{% endhint %}

* Poznámka může být propojena s Polem prostřednictvím jeho jedinečného identifikátoru `fieldUuid,`  k přidruženému SoilDataset přes `soilDatasetUuid`, k ZonesMap přes `vectorAnalysisMapUuid`.
* Souřadnice Poznámky lze nastavit pomocí `centroidu` atributu, který vyžaduje definované `zeměpisnou šířku` a `zeměpisnou délku` hodnoty.&#x20;
* Typ Poznámky lze určit pomocí `typ` atributu s přijatelnými hodnotami `PLÁNOVANÁ` nebo `REÁLNÁ`.&#x20;
* Popis Poznámky lze zadat pomocí `komentáře` atributu. Pokud je potřeba vícestřenkový popis, `komentáře` by měl obsahovat řetězec s novými řádky `\\n` pro oddělení řádků. Například: `"První řádek je tady\\nDruhý řádek je tady.\\nTřetí řádek je tady."`.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutace BatchSaveNotes {
  saveNotes(input:{
    notes: [{
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: PLANNED,
      comment: "Hromadné uložení: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      uuid: "531d4cc4-b464-435c-8bb5-464cc13fcafa",
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Hromadná aktualizace: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Hromadné uložení: 2",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Hromadné uložení: 2",
      soilDatasetUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }
  ]
  } ) {
    uuid
    fieldUuid
    datumVytvoření
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/poznamky-piny/28.-mutace-ulozeni-vice-poznamek-davkova-operace.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
